[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Docked

Indicates if the control has a host dock site.

## Declaration

Source position: controls.pp line 1620

`public function TControl.Docked: Boolean;`

## Function result

True if the Parent control is also the HostDockSite for the control.

## Description

Docked is a Boolean function which indicates if the control instance is docked to a host docking site. The return value is True when all of the following conditions are met:

- Parent is assigned (not Nil).
- Parent has the same value as the HostDockSite property.
- Parent has a parent form with a value different than the one in Parent.

## See also

TControl.HostDockSite |  | The host site (TWinControl) into which this control is docked. Nil if not docked.
TControl.Parent |  | The control within which the control is shown.
GetParentForm |  | Gets the form instance for the specified Control.